Subject: RE: NEEDED References of draft draft-ietf-l2vpn-vpls-bgp-00.txt

From: "Hamid Ould-Brahim" <[email-masked]>
Date: Tue, 2 Sep 2003 09:41:41 -0400

Yifat,
 
I think the same documents are now with l2vpn/l3vpns acronyms 
instead of ppvpn. I assume not all drafts have their reference
section updated to reflect the two new working groups change. 
Here are some pointers below to the documents asked:
 
>  Can anyone direct me to the documents refered to  
> in draft :draft-ietf-l2vpn-vpls-bgp-00.txt. 
 
> The list is as follows: 
 
> [ 2] Andersson, L. and T. Madsen, "PPVPN Terminology", work in progress. 
 
http://www.ietf.org/internet-drafts/draft-andersson-ppvpn-terminology-03.txt
<http://www.ietf.org/internet-drafts/draft-andersson-ppvpn-terminology-03.tx
t> 
 
[ 3] Andersson, L. (Editor), "PPVPN L2 Framework", work in progress. 
 
 <http://www.ietf.org/internet-drafts/draft-ietf-l2vpn-l2-framework-00.txt>
http://www.ietf.org/internet-drafts/draft-ietf-l2vpn-l2-framework-00.txt 
 
>  [ 4] Kompella, K., et al, "MPLS-based Layer 2 VPNs", work in progress. 
 
http://www.ietf.org/internet-drafts/draft-kompella-ppvpn-l2vpn-03.txt
<http://www.ietf.org/internet-drafts/draft-kompella-ppvpn-l2vpn-03.txt>  
 
> [ 7] Rosen, E., et al, "BGP/MPLS VPNs", work in progress. 
 
http://www.ietf.org/internet-drafts/draft-ietf-l3vpn-rfc2547bis-00.txt
<http://www.ietf.org/internet-drafts/draft-ietf-l3vpn-rfc2547bis-00.txt>  
 
> [10] Sangli, S., D. Tappan, and Y. Rekhter, "BGP Extended Communities
Attribute",  
> (work in progress). 
 
http://www.ietf.org/internet-drafts/draft-ietf-idr-bgp-ext-communities-06.tx
t
<http://www.ietf.org/internet-drafts/draft-ietf-idr-bgp-ext-communities-06.t
xt>  
 
> [11] Martini, L., et al, "Encapsulation Methods for Transport of 
> Layer 2 Frames Over IP and MPLS Networks", work in progress. 
 
Updated to:
 
http://www.ietf.org/internet-drafts/draft-ietf-pwe3-ethernet-encap-03.txt
<http://www.ietf.org/internet-drafts/draft-ietf-pwe3-ethernet-encap-03.txt> 
http://www.ietf.org/internet-drafts/draft-ietf-pwe3-atm-encap-02.txt
<http://www.ietf.org/internet-drafts/draft-ietf-pwe3-atm-encap-02.txt> 
http://www.ietf.org/internet-drafts/draft-ietf-pwe3-hdlc-ppp-encap-mpls-00.t
xt
<http://www.ietf.org/internet-drafts/draft-ietf-pwe3-hdlc-ppp-encap-mpls-00.
txt> 
http://www.ietf.org/internet-drafts/draft-ietf-pwe3-frame-relay-01.txt
<http://www.ietf.org/internet-drafts/draft-ietf-pwe3-frame-relay-01.txt> 
 
> [12] Kompella, K., et al, "Decoupled TLS", work in progress. 
 
http://www.ietf.org/internet-drafts/draft-kompella-ppvpn-dtls-02.txt
<http://www.ietf.org/internet-drafts/draft-kompella-ppvpn-dtls-02.txt> 
 
> [ 5] Martini, L., et al, "Transport of Layer 2 Frames Over MPLS",   
> work in progress. 
 
updated to:
 
http://www.ietf.org/internet-drafts/draft-ietf-pwe3-control-protocol-03.txt
<http://www.ietf.org/internet-drafts/draft-ietf-pwe3-control-protocol-03.txt

> [ 6] Kompella, V., et al, "Virtual Private Switched Network Services 
> over an MPLS Network", work in progress. 
 
I assume this one has expired but have a look at this draft:
 
http://www.ietf.org/internet-drafts/draft-ietf-l2vpn-vpls-ldp-00.txt
<http://www.ietf.org/internet-drafts/draft-ietf-l2vpn-vpls-ldp-00.txt>  

> [ 8] Ould-Brahim, H. et al, "Using BGP as an Auto-Discovery Mechanism 
> for Network-based VPNs", work in progress. 
 
   <http://www.ietf.org/internet-drafts/draft-ietf-l3vpn-bgpvpn-auto-00.txt>
http://www.ietf.org/internet-drafts/draft-ietf-l3vpn-bgpvpn-auto-00.txt 
 
> [ 9] Shah, H. et al, "Signaling between PE and L2PE/MTU for Decoupled 
> VPLS and Hierarchical VPLS", work in progress. 
 
I assume this one has expired. 
 
Hamid. 

> Thank you, 
> Yifat 
 
> Mrs. Yifat Migdal-Steinberg 
> System Enginee r
> Broadband Access 
> RAD Data communications Ltd. 
> 24 Raoul Vallenberg St. 
> Tel-Aviv 
> Tel:03-7657035 
> Fax:03-6455305

---

From: Paul Hoffman / VPNC <[email-masked]>
Date: Tue, 2 Sep 2003 10:10:10 -0700

At 9:41 AM -0400 9/2/03, Hamid Ould-Brahim wrote:
>I assume not all drafts have their reference

Drafts are only updated by their authors, not by the Internet Drafts 
editor. This draft absolutely should list the draft names of all the 
"work in progress" drafts in its reference section.

--Paul Hoffman, Director
--VPN Consortium

---

From: Kireeti Kompella <[email-masked]>
Date: Tue, 2 Sep 2003 22:06:43 -0700 (PDT)

Thanks, Hamid -- I owe you!

Kireeti.

---

From: Kireeti Kompella <[email-masked]>
Date: Tue, 2 Sep 2003 22:09:32 -0700 (PDT)

> "work in progress" drafts in its reference section.

Two problems with that: draft names keep changing, and we're
constantly reminded _not_ to quote draft names.  I used to use the
draft names -- I think I will go back to that, perhaps without the
version numbers.

Kireeti.

---

From: Paul Hoffman / VPNC <[email-masked]>
Date: Wed, 3 Sep 2003 08:26:23 -0700

At 10:09 PM -0700 9/2/03, Kireeti Kompella wrote:
>constantly reminded _not_ to quote draft names.

Um, who is doing that constant reminding? That's exactly the opposite 
of what others have been saying for many years. If it is an IESG 
member, we need to get more consistent advice from the IESG on this.

>   I used to use the

Correct: don't use version numbers. You aren't referring to a single 
instantiation of a draft, which can be replaced at any time. You are 
referring to what will be the final item in the series, namely the 
eventual RFC.

--Paul Hoffman, Director
--VPN Consortium

---

From: "Eric W Gray" <[email-masked]>
Date: Thu, 4 Sep 2003 10:27:36 -0400

Paul,

	We are constantly reminded by the boiler-plate text on 
the first page of every Internet Draft - which says:

"It is inappropriate to use Internet-Drafts as reference
material or to cite them other than as "work in progress."

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of
Paul Hoffman / VPNC
> Sent: Wednesday, September 03, 2003 11:26 AM
> To: Kireeti Kompella
> Cc: [email-masked]
> Subject: RE: NEEDED References of draft
draft-ietf-l2vpn-vpls-bgp-00.txt

---

From: Paul Hoffman / VPNC <[email-masked]>
Date: Thu, 4 Sep 2003 08:42:58 -0700

>material or to cite them other than as "work in progress."

Right. So the reference section of an Internet Draft would list them 
by title and the file name (without the number), and say "work in 
progress". This is the typical way it is done in all the WGs with 
which I am familiar.

--Paul Hoffman, Director
--VPN Consortium